# get

## HTTP Request

```http
GET /api/v1/queries/:queryId
```

## Path parameters

| Parameter |                     |
| --------- | ------------------- |
| queryId   | The id of the query |

{% hint style="info" %}
This endpoint extends the [general API structure](https://docs.redivis.com/api/rest-api/general-structure).
{% endhint %}

## Authorization

Metadata access to all tables referenced by the query is required. If a table's data is not public, your access token must have one of the following scopes:

* data.metadata
* data.data
* data.edit

[Learn more about authorization.](https://docs.redivis.com/api/rest-api/authorization)

## Request body

The request body must be empty.

## Response body

Returns a JSON representation of a [query resource](https://docs.redivis.com/api/resource-definitions/query#get).
